import React from 'react';
import ReactDOM from 'react-dom';
import { BackgroundCircle } from './BackgroundCircle';
import { Eye } from './Eye.js';
import { Mouth } from './Mouth.js';

const width = 960;
const height = 500;

const centreX = width / 2;
const centreY = height / 2;
const strokeWidth = 20;

const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;

const mouthWidth = 20;
const mouthRadius = 130;

const App = () => (
	<svg width={width} height={height}>
    <g transform={`translate(${centreX}, ${centreY})`}>

      <BackgroundCircle 
        radius={centreY - strokeWidth / 2} 
        strokeWidth={strokeWidth}
      />
      <Eye 
        eyeOffsetX={eyeOffsetX} 
        eyeOffsetY={eyeOffsetY} 
        eyeRadius={eyeRadius} 
      />
      <Eye 
        eyeOffsetX={-eyeOffsetX} 
        eyeOffsetY={eyeOffsetY} 
        eyeRadius={eyeRadius} 
      />
      <Mouth 
        mouthRadius={mouthRadius} 
        mouthWidth={mouthWidth}
      />  
    </g>
	</svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);